Get Redirect URLs
Returns OAuth redirect URLs for configured identity providers for an application. Map keys are IDP slugs.
Authentication: None required
Authorization
BearerAuth JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.
In: header
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
1 <= length <= 64Response Body
application/json
application/json
curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.AuthService/GetRedirectUrls" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"urls": "map[discord:https://auth.xeonr.io/oauth/discord github:https://auth.xeonr.io/oauth/github]"
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Accept Invitation POST
Accepts an organisation invitation, linking an IDP connection to the pending user. Requires a valid signup_token from HandleLogin and an invitation_token from the invitation email. **Authentication:** None required (tokens required)
Handle Login POST
Processes the OAuth callback from an identity provider. Returns a login token (existing user), a signup token (new user), or an mfa challenge token (existing user with org-account 2FA). **Authentication:** None required